## libmx4j-java 3.0.2

=== debian/changelog ===
libmx4j-java (3.0.2-14) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.1
  * Removed the suggested dependency on the Servlet API
  * Replaced the dependency on libgnumail-java with libmail-java
  * Updated Standards-Version to 3.9.6 (no changes)
  * Use canonical URLs for the Vcs-* fields
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 17 Oct 2014 11:42:02 +0200

libmx4j-java (3.0.2-13) unstable; urgency=low

  * Removed the dependency on the Activation Framework (libgnujaf-java)
  * Transition to the Servlet API 3.0
  * Removed Michael Koch from the Uploaders list (Closes: #654087)
  * Updated Standards-Version to 3.9.4 (no changes)
  * Removed the patch disabling IIOP build

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 17 May 2013 18:04:47 +0200

libmx4j-java (3.0.2-12) unstable; urgency=low

  * Team upload.
  * Do no longer build the libmx4j-java-gcj package.
  * Improve Description.

 -- Torsten Werner <twerner@debian.org>  Fri, 23 Sep 2011 22:02:57 +0200

libmx4j-java (3.0.2-11) unstable; urgency=low

  * d/control: Bump Standards-Version to 3.9.2 (no changes needed).
  * d/control: Suggests servlet2.5 instead of 2.4.

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 04 Sep 2011 14:21:06 +0200

libmx4j-java (3.0.2-10) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * d/README.source: really drop as we now use 3.0 (quilt) format.
  * d/README.Debian: SOAP and Hessian are now supported
  * d/control: as per new Debian Java Policy, Depends on a Java Runtime is not
    needed anymore for Java libraries.
    This should remove circular dependency hell between default-jre-headless
    and libmx4j-java for JMX support (Closes: #576738).
  * d/dirs: remove (handled by jh_installlibs)
  * d/control, d/rules: enable Hessian support.

  [ Niels Thykier ]
  * Replaced B-D on default-jdk-builddep with gcj-native-helper and
    default-jdk.
  * Bumped Standards-Versions to 3.9.0 - no changes required.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 07 Jul 2010 19:49:02 +0200

libmx4j-java (3.0.2-9) unstable; urgency=low

  * Team upload.
  * Merge changes from Ubuntu.
  * Update Standards-Version: 3.8.4.
  * Remove Stefan from Uploaders list.

 -- Torsten Werner <twerner@debian.org>  Sat, 08 May 2010 15:30:34 +0200

libmx4j-java (3.0.2-8ubuntu1) lucid; urgency=low

  * debian/control, debian/rules: Build-depend on libservlet2.5-java instead
    of libservlet2.4-java (LP: #534913)

 -- Thierry Carrez <thierry.carrez@ubuntu.com>  Tue, 09 Mar 2010 09:57:23 +0100

libmx4j-java (3.0.2-8) unstable; urgency=low

  [ Michael Koch ]
  * Remove Wolfgang from Uploaders.

  [ Damien Raude-Morvan ]
  * Remove Arnaud Vandyck from Uploaders
  * Update my email address

  [ Niels Thykier ]
  * Added myself to Uploaders.
  * Updated java dependencies.
  * Injected OSGi metadata into mx4j.jar and mx4j-remote.jar
  * Added javahelper to Build-Depends and have it handle jar installation.
  * Refreshed mx4j-caucho-build.patch
  * Changed source format to 3.0 (quilt).
    - Removed README.source, no longer needed.

 -- Niels Thykier <niels@thykier.net>  Mon, 25 Jan 2010 00:22:45 +0100

libmx4j-java (3.0.2-7) unstable; urgency=low

  [ Damien Raude-Morvan ]
  * Bump Standards-Version to 3.8.2:
    - Move libmx4j-java to "java" section
    - Add a README.source to describe patch system
  * Switch to Quilt patch system:
    - Refresh all patchs
    - Add B-D on quilt
    - Include patchsys-quilt.mk in debian/rules 
  * Merge mx4j-remove-invalids-providers patch into mx4j-caucho-build

  [ Michael Koch ]
  * Updated to Standards-Version 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Fri, 18 Sep 2009 07:17:12 +0200

libmx4j-java (3.0.2-6) unstable; urgency=low

  * First "brown paper bag release"!
  * Revert usage of openjdk-6-jdk (not available on all arch)
    - reapply mx4j-no-iiop.patch to disable IIOP
    - remove Depends on openjdk-6-jdk
    - use /usr/lib/jvm/default-java as JAVA_HOME
    - restore previous README entry about IIOP
  * Revert move of all java libraries to B-D-I
    and restore usage of B-D:
    - we need to build JAR for architecture-dependent -gcj package

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Wed, 11 Mar 2009 21:54:29 +0100

libmx4j-java (3.0.2-5) unstable; urgency=low

  * Apply patch mx4j-remove-invalids-providers.patch to remove invalid
    service provider from META-INF/services/. Closes: #504664.
  * debian/control:
    - Move all java libraries to Build-Depends-Indep
      They are arch:all and not needed during clean target.
    - Add Depends on openjdk-6-jdk to enable IIOP build
    - Bump Standards-Version to 3.8.0.
    - Bump to debhelper >= 7
    - Add ${misc:Depends} on libmx4j-java package.
    - Add myself as uploader.
  * debian/compat: Bump debhelper compat level to 7
  * debian/rules: Use openjdk-6-jdk as builder via JAVA_HOME
  * debian/README.Debian
    - Remove section about missing IIOP as we now build this part of MX4J
  * debian/patches/mx4j-no-iiop.patch: Remove to re-enable IIOP build

 -- Damien Raude-Morvan <drazzib@drazzib.com>  Mon, 09 Mar 2009 23:07:00 +0100

libmx4j-java (3.0.2-4) unstable; urgency=low

  * libmx4j-java: Depend on default-jre-headless as the preferred runtime,
    keep the existing alternatives for now.
  * Remove build dependency on gcj.

 -- Matthias Klose <doko@debian.org>  Mon, 04 Aug 2008 23:38:24 +0200

libmx4j-java (3.0.2-3) unstable; urgency=low

  * Really Build-Depends on default-jdk-builddep. Closes: #477881

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 20:59:08 -0100

libmx4j-java (3.0.2-2) unstable; urgency=low

  * Build-Depends on default-jdk-builddep. Closes: #477881

 -- Michael Koch <konqueror@gmx.de>  Tue, 29 Apr 2008 20:33:50 -0100

libmx4j-java (3.0.2-1) unstable; urgency=low

  * New upstream version. Closes: #416674
  * Added Homepage, Vcs-Svn and Vcs-Browser fields.
  * Updated Standards-Version to 3.7.3.
  * Added watch file.


