=== debian/control ===
Source: libmx4j-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>, Niels Thykier <niels@thykier.net>
Build-Depends: ant,
               cdbs,
               debhelper (>= 9),
               default-jdk,
               javahelper,
               jython,
               libaxis-java,
               libbcel-java (>= 5.0),
               libcommons-logging-java,
               libmail-java,
               libhessian-java,
               liblog4j1.2-java,
               libservlet3.1-java
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-java/trunk/libmx4j-java
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/libmx4j-java/
Homepage: http://mx4j.sourceforge.net

Package: libmx4j-java
Architecture: all
Depends: libbcel-java (>= 5.0), liblog4j1.2-java, ${misc:Depends}
Suggests: jython,
          libmail-java,
          libhessian-java,
          libjetty-java
Description: Open Source implementation of the JMX(TM) technology
 JMX defines the architecture, the patterns , the API and services to
 build manageable Java applications. It provide flexible framework to
 stop and restart services, and remove it from the application or to add
 it to an application, to change its configuration files, to ask it to
 do some operation (such as downloading information from an URL the
 system administrator passes in), and so on.
