=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for libmx4j-java (uses cdbs)

export VERSION = $(shell head -1 debian/changelog | cut -f2 -d\( | cut -f1 -d\) | cut -f1 -d\-)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk

JAVA_HOME := /usr/lib/jvm/default-java

DEB_JARS := log4j-1.2 commons-logging servlet-api-3.1 bcel jython javax.mail axis jaxrpc saaj hessian

DEB_ANT_BUILDFILE := build/build.xml
DEB_ANT_BUILD_TARGET := compile.tools

install/libmx4j-java::
	jar umf debian/remote-MANIFEST.MF  dist/lib/mx4j-remote.jar
	jar umf debian/core-MANIFEST.MF dist/lib/mx4j.jar
	jh_installlibs -plibmx4j-java dist/lib/mx4j.jar \
	               dist/lib/mx4j-remote.jar dist/lib/mx4j-tools.jar
