=== debian/watch ===
version=3
http://sf.net/mx4j/ mx4j-(.+)-src\.tar\.gz
